
from django.urls import path

from blog import views

urlpatterns = [
    # path('', views.home_view, name='home_page'),

    path('', views.PostListView.as_view(), name='home_page'),

    path('post/<int:pk>/detail/', views.PostDetailView.as_view(), name='post_detail'),

    path('post/create/', views.PostCreateView.as_view(), name='post_create'),

    path('post/<int:pk>/update/', views.PostUpdateView.as_view(), name='post_update'),

    path('post/<int:pk>/delete/', views.PostDeleteView.as_view(), name='post_delete'),

    path('user/<str:username>/posts/', views.UserPostListView.as_view(), name='user_post_list'),

    path('latest/posts/', views.latest_posts_view, name='latest_posts'),

    path('interview/questions/', views.interview_questions_view, name='interview_questions'),

    path('reponsive/page/', views.responsive_view, name='responsive_page'),

    path('about/', views.about_view, name='about_page'),
]